# AutoKind< labels_are_series, Self, Series, SeriesT, LabelT > Class Template Reference

Add adapted accessors in function of the automaton kind. More...

List of all members.

## Detailed Description

### template<typename Self, typename Series, typename SeriesT, typename LabelT>
class vcsn::AutoKind< labels_are_series, Self, Series, SeriesT, LabelT >

Add adapted accessors in function of the automaton kind.

AutoKind adds methods to automaton adapted to the kind of label that are held by the internal data structure. Indeed, label can be either series element or things from which series elements can be build. In the latter case, we have to insert a series construction in each accessor.

Definition at line 88 of file kinds.hh.